Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.messaging
Interface IMessageComponent

All Known Subinterfaces:
  IConsumer, IFilter, IProvider, IPullableProvider, IPushableConsumer, ISeekableProvider, IStreamTypeAwareProvider

All Known Implementing Classes:
  ClientBroadcastStream, ConnectionConsumer, ConnectionProvider, FileConsumer, FileProvider, PlayEngine, ServerStream, StreamBandwidthController, StreamingProxy

    public interface IMessageComponent

Message component handles out-of-band control messages

Method Summary
`void` | `onOOBControlMessage(IMessageComponent source, IPipe pipe, OOBControlMessage oobCtrlMsg)`

Method Detail

### onOOBControlMessage

    void onOOBControlMessage(IMessageComponent source,
                             IPipe pipe,
                             OOBControlMessage oobCtrlMsg)

  Parameters:
    `source` - Message component source
    `pipe` - Connection pipe TODO
    `oobCtrlMsg` - Out-of-band control message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project